<dx-popup  [(visible)]='popupVisible' [minWidth]='ui.minWidthPopup' maxWidth='90vw' (onShown)='ui.onPopupShown($event)'  
  height='auto' width='auto' title='Adaugă companie' (onHidden)='onAddCompanyHidden($event)'>
  <div *dxTemplate="let data of 'content'">
    <dx-scroll-view height='100%'>
      <dx-form #addCompanyForm [(formData)]='newCompanyData' validationGroup='newCompaniValidation' labelLocation="left">
        <dxi-item [label]="{ visible: false}" dataField="name" editorType="dxTextBox"
          [editorOptions]="{ placeholder: 'Denumire Companie' }">
          <dxi-validation-rule type="required" message="Parola este oblicagorie"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{ visible: false}" dataField="cif" editorType="dxTextBox"
          [editorOptions]="{ placeholder: 'CIF' }"></dxi-item>
      </dx-form>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton"
    [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: onSaveCompany, validationGroup:'newCompaniValidation' }">
  </dxi-toolbar-item>
</dx-popup>
